stages:
  - build
  - tests
  - release
  - deploy

default:
  image: node:15

variables:
  SKILLBOX_ENV: "skillbox_env"


install deps:
  stage: build
  image: node:14
  variables:
    AUTOTESTS_ENV: "autotests_env" 
  only: 
    - pushes
  script: 
    - echo "install deps job"
    - mkdir node_modules
    - touch node_modules/log.txt
    - npm install webdriverio
  artifacts:
    paths:
        - node_modules/

build:
  stage: build
  script:
    -echo "build jobs"

unit:
  stage: tests
  script:
    - echo "unit job" 
    - ls node_modules/
  dependencies:
    - install deps    

integration:
  stage: tests
  script:
    - echo "integration job"  

UI:
  stage: tests
  script:
    - echo "UI job"  

up version:
  stage: release
  script:
    - echo "release job"

release to prod:
  stage: deploy
  script:
    - echo "deploy on prod job"
